#include <iostream>
#include <math.h>

using namespace std;

int n;

int main(void)
{


  cin >> n;
  int sq_n = sqrt(n);
  //ищем число простых делителей
  int r=1;
  int i=2;
  while (n>1)
  {
    int k=0;
    while (n%i==0)
    {
      k++;
      n=n/i;
    }
    if (k>0) r = r * (k*2+1);
    i++;
    if (i>sq_n+5) {
       k=1;
       r = r * (k*2+1);
       break;
    }
  }
  cout << r << endl;
  return 0;
}
